usb_ep_clear_halt
Prev | Core Objects and Methods | Next

## Name

usb_ep_clear_halt — clears endpoint halt, and resets toggle

## Synopsis

`int usb_ep_clear_halt (` | struct usb_ep * | ep`)`;

## Arguments

`ep`

  the bulk or interrupt endpoint being reset

## Description

Use this when responding to the standard usb “set interface” request, for endpoints that aren't reconfigured, after clearing any other state in the endpoint's i/o queue.

Returns zero, or a negative error code. On success, this call clears the underlying hardware state reflecting endpoint halt and data toggle. Note that some hardware can't support this request (like pxa2xx_udc), and accordingly can't correctly implement interface altsettings.

Prev | Up | Next
usb_ep_set_halt | Home | usb_ep_fifo_status